Upserts an agent memory entry (by agent_ref + namespace + key), redacting the content and enforcing the per-agent quota.
POST
/v1/m/knowledge/memory
const url = 'https://example.com/v1/m/knowledge/memory';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"agent_ref":"example","classification":"","content":"example","key":"example","residency_region":"global","session_ref":"example","ttl_seconds":1,"user_ref":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/knowledge/memory \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "agent_ref": "example", "classification": "", "content": "example", "key": "example", "residency_region": "global", "session_ref": "example", "ttl_seconds": 1, "user_ref": "example" }'Upserts an agent memory entry (by agent_ref + namespace + key), redacting the content and enforcing the per-agent quota.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
agent_ref
required
string
classification
string
content
string
key
required
string
residency_region
Empty or omitted defaults to global.
string
ttl_seconds
Positive values set expiry; zero or negative values mean no expiry.
integer format: int64
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}